curl --request POST \
--url https://api.jtl-cloud.com/erp/items/{itemId}/descriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "Interdimensional goggles",
"LanguageIso": "DE",
"SalesChannelId": "1-1-1",
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy.",
"SeoPath": "Interdimensional-goggles",
"SeoMetaDescription": "A meta description",
"SeoTitleTag": "Interdimensional goggles",
"SeoMetaKeywords": "Interdimensional, Vision, Goggles"
}
'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/descriptions"
payload = {
"Name": "Interdimensional goggles",
"LanguageIso": "DE",
"SalesChannelId": "1-1-1",
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy.",
"SeoPath": "Interdimensional-goggles",
"SeoMetaDescription": "A meta description",
"SeoTitleTag": "Interdimensional goggles",
"SeoMetaKeywords": "Interdimensional, Vision, Goggles"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: 'Interdimensional goggles',
LanguageIso: 'DE',
SalesChannelId: '1-1-1',
Description: 'These goggles are a must have product. Everyone needs them. Buy them.',
ShortDescription: 'The best goggles anyone can buy.',
SeoPath: 'Interdimensional-goggles',
SeoMetaDescription: 'A meta description',
SeoTitleTag: 'Interdimensional goggles',
SeoMetaKeywords: 'Interdimensional, Vision, Goggles'
})
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ItemId": 123,
"Name": "Interdimensional goggles",
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy.",
"SeoPath": "Interdimensional-goggles",
"SeoMetaDescription": "A meta description",
"SeoTitleTag": "Interdimensional goggles",
"SeoMetaKeywords": "Interdimensional, Vision, Goggles",
"LanguageIso": "DE",
"SalesChannelId": "1-1-1"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Create Item Description
Create a new description for a specific item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Body
The itemDescription to create.
Model Class: CreateItemDescription
The item name in the given language and sales channel. The name in JTL-Wawi and the default language is the default name of the item.
"Interdimensional goggles"
The ISO code of the language for the description.
"DE"
"1-1-1"
"These goggles are a must have product. Everyone needs them. Buy them."
"The best goggles anyone can buy."
"Interdimensional-goggles"
"A meta description"
"Interdimensional goggles"
"Interdimensional, Vision, Goggles"
Response
The created item description.
Model Class: ItemDescription
The item name in the given language and sales channel. The name in JTL-Wawi and the default language is the default name of the item.
"Interdimensional goggles"
The item description for the given language and sales channel.
"These goggles are a must have product. Everyone needs them. Buy them."
An item's short description in the given language and sales channel.
"The best goggles anyone can buy."
The SEO path in the given language and sales channel.
"Interdimensional-goggles"
The SEO meta description in the given language and sales channel.
"A meta description"
The title tag (SEO) in the given language and sales channel.
"Interdimensional goggles"
Meta keywords in the given language and sales channel.
"Interdimensional, Vision, Goggles"
The ISO code of the language for the description.
"DE"
"1-1-1"
Was this page helpful?